﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	
	Private ap As AnchorPane
	Private sName As String
	Private sImagePath As String
	
	'layout
	Private imgImage As ImageView
	Private lblName As Label
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Name As String, ImagePath As String)
	sName = Name
	sImagePath = ImagePath

	ap.Initialize("")
	ap.LoadLayout("ListItem")
	imgImage.SetImage(fx.LoadImageSample(File.GetFileParent(sImagePath), File.getName(sImagePath), 32, 32))
	lblName.Text = sName	
	
	ap.Tag = Me
End Sub

Public Sub getAnchorPane As AnchorPane
	Return ap
End Sub	

Public Sub getName As String
	Return sName
End Sub	